org.codehaus.classworlds

## Class ClassRealmReverseAdapter

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.codehaus.plexus.classworlds.realm.ClassRealm
        - - org.codehaus.classworlds.ClassRealmReverseAdapter

All Implemented Interfaces:
  Closeable, AutoCloseable

Deprecated.

    @Deprecated
    public class ClassRealmReverseAdapter
    extends ClassRealm

A reverse adapter for ClassRealms

Author:
  Andrew Williams

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addURL(URL constituent)` Deprecated.
`ClassRealm` `createChildRealm(String id)` Deprecated.
`void` `display()` Deprecated.
`boolean` `equals(Object o)` Deprecated.
`Enumeration` `findResources(String name)` Deprecated.
`ClassLoader` `getClassLoader()` Deprecated.
`String` `getId()` Deprecated.
`static ClassRealmReverseAdapter` `getInstance(ClassRealm oldRealm)` Deprecated.
`ClassRealm` `getParentRealm()` Deprecated.
`URL` `getResource(String name)` Deprecated.
`InputStream` `getResourceAsStream(String name)` Deprecated.
`URL[]` `getURLs()` Deprecated.
`ClassWorld` `getWorld()` Deprecated.
`void` `importFrom(String realmId, String pkgName)` Deprecated.
`Class` `loadClass(String name)` Deprecated.
`ClassRealm` `locateSourceRealm(String className)` Deprecated.
`void` `setParentRealm(ClassRealm classRealm)` Deprecated.

### Methods inherited from class org.codehaus.plexus.classworlds.realm.ClassRealm

`display, findClass, findResource, getClassLoadingLock, getImportClassLoader, getImportRealms, getParentClassLoader, getResources, getStrategy, importFrom, importFromParent, loadClass, loadClassFromImport, loadClassFromParent, loadClassFromSelf, loadResourceFromImport, loadResourceFromParent, loadResourceFromSelf, loadResourcesFromImport, loadResourcesFromParent, loadResourcesFromSelf, setParentClassLoader, toString`

### Methods inherited from class java.net.URLClassLoader

`close, definePackage, getPermissions, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static ClassRealmReverseAdapter getInstance(ClassRealm oldRealm)

Deprecated.

#### getId

    public String getId()

Deprecated.

Overrides:
  `getId` in class `ClassRealm`

#### getWorld

    public ClassWorld getWorld()

Deprecated.

Overrides:
  `getWorld` in class `ClassRealm`

#### importFrom

    public void importFrom(String realmId,
                           String pkgName)
                    throws NoSuchRealmException

Deprecated.

Overrides:
  `importFrom` in class `ClassRealm`
Throws:
  `NoSuchRealmException`

#### addURL

    public void addURL(URL constituent)

Deprecated.

Overrides:
  `addURL` in class `ClassRealm`

#### locateSourceRealm

    public ClassRealm locateSourceRealm(String className)

Deprecated.

#### setParentRealm

    public void setParentRealm(ClassRealm classRealm)

Deprecated.

Overrides:
  `setParentRealm` in class `ClassRealm`

#### createChildRealm

    public ClassRealm createChildRealm(String id)
                                throws DuplicateRealmException

Deprecated.

Overrides:
  `createChildRealm` in class `ClassRealm`
Throws:
  `DuplicateRealmException`

#### getClassLoader

    public ClassLoader getClassLoader()

Deprecated.

#### getParentRealm

    public ClassRealm getParentRealm()

Deprecated.

Overrides:
  `getParentRealm` in class `ClassRealm`

#### getURLs

    public URL[] getURLs()

Deprecated.

Overrides:
  `getURLs` in class `URLClassLoader`

#### loadClass

    public Class loadClass(String name)
                    throws ClassNotFoundException

Deprecated.

Overrides:
  `loadClass` in class `ClassRealm`
Throws:
  `ClassNotFoundException`

#### getResource

    public URL getResource(String name)

Deprecated.

Overrides:
  `getResource` in class `ClassRealm`

#### findResources

    public Enumeration findResources(String name)
                              throws IOException

Deprecated.

Overrides:
  `findResources` in class `ClassRealm`
Throws:
  `IOException`

#### getResourceAsStream

    public InputStream getResourceAsStream(String name)

Deprecated.

Overrides:
  `getResourceAsStream` in class `URLClassLoader`

#### display

    public void display()

Deprecated.

Overrides:
  `display` in class `ClassRealm`

#### equals

    public boolean equals(Object o)

Deprecated.

Overrides:
  `equals` in class `Object`